Name:       rpm-helper
Version:    0.23.1
Release:    %mkrel 1
Summary:    Helper scripts for rpm scriptlets
License:    GPL
Group:      System/Configuration/Packaging
URL:        http://www.mandrivalinux.com/
Source0:    %{name}-%{version}.tar.bz2
Requires:   grep
Requires:   shadow-utils
Requires:   chkconfig
Requires:   coreutils
# for addgroup which uses xargs
Requires:   findutils
# for /etc/passwd and /etc/group
Requires:   setup
Conflicts:  chkconfig < 1.3.4-10mdk
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
Helper scripts for rpm installation.

%prep
%setup -q

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README NEWS AUTHORS
%{_datadir}/%{name}
%{_sys_macros_dir}/%{name}.macros
%config(noreplace) %{_sysconfdir}/sysconfig/ssl


%changelog
* Mon May 31 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.23.1-1mdv2010.1
+ Revision: 546722
- new release

* Thu Feb 04 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.23.0-1mdv2010.1
+ Revision: 500970
- new version

* Fri Oct 30 2009 Olivier Blin <oblin@mandriva.com> 0.22.2-1mdv2010.0
+ Revision: 460267
- 0.22
- do not stop service during install
  (or else shorewall will be stopped because moved in another
   package, making the install hang for a while)

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.22.1-3mdv2010.0
+ Revision: 426959
- rebuild

* Tue Mar 31 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.22.1-2mdv2009.1
+ Revision: 362952
- fix stupid typo (I shouldn't mix cosmetic with bugfix changes)

* Mon Mar 30 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.22.1-1mdv2009.1
+ Revision: 362597
- new version

* Sun Mar 29 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.22.0-1mdv2009.1
+ Revision: 362215
- new version

* Sat Feb 21 2009 Olivier Thauvin <nanardon@mandriva.org> 0.21.4-3mdv2009.1
+ Revision: 343622
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.21.4-2mdv2009.0
+ Revision: 225332
- rebuild

* Wed Apr 02 2008 Pixel <pixel@mandriva.com> 0.21.4-1mdv2008.1
+ Revision: 191702
- workaround services "disabled" by default getting disabled on upgrade (#39720)

* Fri Mar 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.21.3-1mdv2008.1
+ Revision: 187904
- new version

* Fri Feb 29 2008 Olivier Blin <oblin@mandriva.com> 0.21.2-2mdv2008.1
+ Revision: 176881
- require setup (for /etc/passwd and /etc/group), to fix messagebus/avahi user/group creation

* Thu Feb 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.21.2-1mdv2008.1
+ Revision: 168389
- new version

* Tue Feb 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.21.1-1mdv2008.1
+ Revision: 162613
- new version

* Sun Jan 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.21.0-1mdv2008.1
+ Revision: 158715
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.20.0-1mdv2008.0
+ Revision: 80907
- new version

* Wed Sep 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.19.2-1mdv2008.0
+ Revision: 80408
- new version

* Fri Aug 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.19.1-1mdv2008.0
+ Revision: 64672
- new version

* Fri Jun 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdv2008.0
+ Revision: 45753
- new version

* Tue May 08 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.18.5-1mdv2008.0
+ Revision: 25359
- Updated to 0.18.5, with following changes since 0.18.4:
  * fixed deprecated chown syntax inside create-file and del-shell
    usage inside rpm-helper.macros.in, reported by Vincent Danen on
    ticket #30568;
  * fixed my entry in AUTHORS file.


* Wed Mar 28 2007 Pixel <pixel@mandriva.com> 0.18.4-2mdv2007.1
+ Revision: 149153
- requires findutils (for addgroup which uses xargs)

* Wed Mar 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18.4-1mdv2007.1
+ Revision: 134307
- new version

* Tue Mar 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18.3-1mdv2007.1
+ Revision: 133521
- new version

* Mon Mar 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18.2-1mdv2007.1
+ Revision: 133239
- new version

* Mon Mar 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18.1-1mdv2007.1
+ Revision: 133083
- new version

* Wed Sep 06 2006 Olivier Thauvin <nanardon@mandriva.org> 0.17-3mdv2007.0
+ Revision: 60103
- path1: fix typo (Guillomovitch)

* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org> 0.17-2mdv2007.0
+ Revision: 59404
- bump release
- patch0: fix #24188 (guillomovitch)
- Import rpm-helper

* Fri Jun 23 2006 Olivier Thauvin <nanardon@mandriva.org> 0.17-1mdv2007.0
- fix web macros

* Sun Jun 18 2006 Olivier Thauvin <nanardon@mandriva.org> 0.16-1mdv2007.0
- add webapp macros and scrips (G. Rousse)

* Thu Feb 09 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.15-1mdk
- add-service: handle case when a service name appears several times.

* Wed Sep 21 2005 Frederic Lepied <flepied@mandriva.com> 0.14-1mdk
- add-service: don't add the service to all the profiles in upgrade mode.

* Sun Sep 11 2005 Frederic Lepied <flepied@mandriva.com> 0.13-1mdk
- add-service: test /etc/security/msec/server wihout taking care of
  $SECURE_LEVEL (bug #18409).
- add-service:  add by default the service to all the profiles if
  ADD_SERVICES_TO_CURRENT_PROFILE_ONLY isn't set in
  /etc/sysconfig/system.

* Thu Aug 04 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 0.12-1mdk
- Version bump: new version that contais syslog helpers

* Fri Jul 01 2005 Olivier Thauvin <nanardon@mandriva.org> 0.11-1mdk
- provide itself its macro (rpm 4.4 powah)
- mkrel

* Fri Sep 24 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.10-1mdk
- add-service: add the service again on upgrade if the service is activated

